KDE 4.9 PyKDE API Reference

- KDE's Python API

# Sonnet Namespace Reference

`from PyKDE4.kdecore.Sonnet import *`

## Detailed Description

The sonnet namespace.

## Class Index

B | S |
BackgroundChecker (Sonnet) | Speller (Sonnet) |

## Functions

QString | defaultLanguageName ()
QString | detectLanguage (QString sentence)

## Function Documentation

QString defaultLanguageName | ( |  | ) |

Returns:
  the default language which is stored in the sonnetrc config file. This is the language the user has set globally in the control center. Note that this returns the localized language name, not the dictionary name/language code.

Since:
  4.2

QString detectLanguage | ( | QString | sentence
| ) |  |  |

The function will return the language code for the language in which it thinks the sentence which has been passed to it is.

Since:
  4.2